Skip to main content
PUT
Set Service Github

Authorizations

Authorization
string
header
required

A floo_ API key.

Headers

X-Floo-Org-Id
string<uuid>

Organization to act in; defaults to the one joined most recently.

Path Parameters

app_id
string<uuid>
required
service_name
string
required

Body

application/json

Request to set GitHub repo on a specific service.

repo_full_name
string
required
default_branch
string
default:main

Response

Successful Response

Per-service GitHub repo info in connection response.

name
string
required
repo_full_name
string | null
default_branch
string
default:main
installation_id
integer | null